Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224570 - Error in post install script
Summary: Error in post install script
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: brltty
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 14:57 UTC by Phil Knirsch
Modified: 2015-03-05 01:18 UTC (History)
1 user (show)

Fixed In Version: brltty-3.7.2-2.1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-30 12:35:36 UTC


Attachments (Terms of Use)

Description Phil Knirsch 2007-01-26 14:57:42 UTC
During an automated install/deinstall check the following error has happened:

ERROR: Output running post install script for package brltty-0:3.7.2-1.fc6.i386
Creating screen inspection device /dev/vcsa...done.

Removing the echo lines from the post install script will fix the problem.


postinstall scriptlet (using /bin/sh):
devices="/dev/vcsa /dev/vcsa0 /dev/vcc/a"
install=true
for device in ${devices}
do
   if [ -c "${device}" ]
   then
      install=false
      break
   fi
done
if $install
then
   device="$(set -- ${devices} && echo "${1}")"
   mkdir -p "${device%/*}"
   mknod -m o= "${device}" c 7 128
   chmod 660 "${device}"
   chown root.tty "${device}"
fi


Note You need to log in before you can comment on or make changes to this bug.